#   File:       canvas-cbn.make
#   Target:     canvas-cbn
#   Created:    Monday, August 7, 2000 01:35:33 AM


MAKEFILE        = canvas-cbn.make
MondoBuild    = {MAKEFILE}  # Make blank to avoid rebuilds when makefile is modified

SpBaseDir  	= :::spBase:
SpComponentDir  = ::
SpLibDir  	= :::lib:

ObjDir          = :
Includes        =  
				  -i {SpComponentDir} 
				  -i {SpBaseDir}

Sym-CBN         = -sym off

PPCCOptions     = {Includes} {Sym-CBN} -d TARGET_API_MAC_CARBON=1 -includes unix -enum int -j0


### Source Files ###

SrcFiles        =  
				  canvas.c


### Object Files ###

ObjFiles-CBN    =  
				  "{ObjDir}canvas.c.y"


### Libraries ###

LibFiles-CBN    =  
				  "{SpLibDir}spComponent-cbn.o" 
				  "{SpLibDir}spBase-cbn.o" 
				  "{PPCLibraries}CarbonStdCLib.o" 
				  "{PPCLibraries}StdCRuntime.o" 
				  "{PPCLibraries}PPCCRuntime.o" 
#				  "{PPCLibraries}PPCToolLibs.o" 
				  "{SharedLibraries}CarbonLib" 
				  "{SharedLibraries}MathLib" 
				  "{SharedLibraries}StdCLib"


### Default Rules ###

.c.y    .c  {MondoBuild}
	{PPCC} {depDir}{default}.c -o {targDir}{default}.c.y {PPCCOptions}


### Build Rules ###

canvas-cbn    {ObjFiles-CBN} {LibFiles-CBN} {MondoBuild}
	PPCLink 
		-o {Targ} 
		{ObjFiles-CBN} 
		{LibFiles-CBN} 
		{Sym-CBN} -weaklib StdCLib,MathLib 
		-mf -d 
		-m __appstart 
		-t 'APPL' 
		-c '????'


canvas-cbn    carbon.r
	Rez {NewerDeps} -o {Targ} -append


### Required Dependencies ###

"{ObjDir}canvas.c.y"    canvas.c


### Optional Dependencies ###
### Build this target to generate "include file" dependencies. ###

Dependencies    $OutOfDate
	MakeDepend 
		-append {MAKEFILE} 
		-ignore "{CIncludes}" 
		-objdir "{ObjDir}" 
		-objext .y 
		{Includes} 
		{SrcFiles}


