/*
 *	spSlider_Win.h
 */

#ifndef __SPSLIDER_WIN_H
#define __SPSLIDER_WIN_H

#include <windows.h>

#ifdef __cplusplus
extern "C" {
#endif

extern int spGetScrollCoefWin(long maximum);
extern spBool spUpdateHScrollValueWin(int *value, WPARAM wParam, int minimum, int maximum, 
				      int page_size, int increment, int page_increment, int scroll_coef,
				      double zoom_factor, spBool track_call_on);
extern spBool spUpdateVScrollValueWin(int *value, WPARAM wParam, int minimum, int maximum, 
				      int page_size, int increment, int page_increment, int scroll_coef,
				      double zoom_factor, spBool track_call_on);
extern spBool spUpdateScrollValueWin(int *value, UINT message, WPARAM wParam, int minimum, int maximum, 
				     int page_size, int increment, int page_increment, int scroll_coef,
				     double zoom_factor, spBool track_call_on);
extern void spUpdateScrollValueInfoWin(SCROLLINFO *sinfo, int *value,
				       int minimum, int maximum, int page_size, int scroll_coef);
extern void spSetSliderValueWin(spComponent component);
extern void spDrawTrackBarValueWin(spComponent component, HDC hdc);
extern void spSetTrackBarValueWin(spComponent component);
    
#ifdef __cplusplus
}  /* Close scope of 'extern "C"' declaration */
#endif

#endif /* __SPSLIDER_WIN_H */
